/**
 * XRoleClassAccommodationRequestor.java
 *
 * File generated from the medication::XRoleClassAccommodationRequestor uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassAccommodationRequestor.
 *
 * 
 */

@XmlType(name = "XRoleClassAccommodationRequestor")
@XmlEnum
@XmlRootElement(name = "XRoleClassAccommodationRequestor")
public enum XRoleClassAccommodationRequestor {
	@XmlEnumValue("AGNT")
	AGNT("AGNT"),
	@XmlEnumValue("PAT")
	PAT("PAT"),
	@XmlEnumValue("PROV")
	PROV("PROV"),
	@XmlEnumValue("PRS")
	PRS("PRS");
	
	private final String value;

    XRoleClassAccommodationRequestor(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XRoleClassAccommodationRequestor fromValue(String v) {
        for (XRoleClassAccommodationRequestor c: XRoleClassAccommodationRequestor.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}